#!/bin/bash

step=2
#1: download
#2: install

if [[ $step == "1" ]];then
	#Some cleanup
	rm -rf install boost_1_49_0 src
	mkdir install src

	#Untar 
	tar -zxvf  boost_1_49_0.tar.gz

	#Move boost into install directory
	mv boost_1_49_0/* src
	rm -rf boost_1_49_0
fi

if [[ $step == "2" ]];then
	#Configure and compile
	cd src 
	./bootstrap.sh --prefix=$ISSM_TIER/externalpackages/boost/install --with-python=python3.2 --with-python-root="$ISSM_TIER/externalpackages/python/install" 

	#Compile boost
	if [ -z $1 ];
	then
		./bjam install
	else
		./bjam -jx $1 install
	fi

	#put bjam into install also: 
	mkdir ../install/bin
	cp bjam ../install/bin

fi
